%define anolis_release 1
%global pypi_name cymem
%global pypi_version 2.0.8

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Manage calls to calloc/free through Cython

License:        MIT
URL:            https://github.com/explosion/cymem
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(cython) >= 0.25
BuildRequires:  python3dist(setuptools)

%description
cymem provides two small memory-management helpers for Cython. They make it 
easy to tie memory to a Python object's life-cycle, so that the memory is 
freed when the object is garbage collected.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
cymem provides two small memory-management helpers for Cython. They make it 
easy to tie memory to a Python object's life-cycle, so that the memory is 
freed when the object is garbage collected.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 2.0.8-1
- Initial package.